%define pdbsql_ver 3.0.23
Summary: Samba SMB server.
Name: samba
Version: 3.0.24
Release: 3tr
License: GPL
Group: Trustix Official
Source: ftp://ftp.samba.org/pub/samba/samba-%{version}.tar.gz
Source1: samba.log
Source2: smb.conf
Source3: smb.init
Source4: winbind.init
Source5: swat.init
Source6: pdbsql-0.1-%{name}_%{pdbsql_ver}.tar.bz2
Patch1: samba-3.0.4-filename.patch
Patch2: samba-3.0.7-CAN-2004-0882.patch
Patch3: samba-3.0.7-CAN-2004-0930.patch
Patch4: samba-3.0.24-CVE-2007-2444.patch
Patch5: samba-3.0.24-CVE-2007-2446.patch
Patch6: samba-3.0.24-CVE-2007-2447.patch

Requires: pam >= 0.64, samba-common = %{version}, cups-libs 
Requires: openldap-libs, popt, openssl, cyrus-sasl, libcom_err, kerberos5-libs
Requires: glibc-locales
BuildRoot: /var/tmp/%{name}-root
Prereq: mktemp, psmisc, tsl-utils, coreutils, sed, gawk, perl
BuildRequires: cups-devel, readline-devel, pam-devel, glibc-locales
BuildRequires: kerberos5-devel, kerberos5-libs, libcom_err-devel
BuildRequires: openldap-devel, mysql-devel, cyrus-sasl-devel, openssl-devel

%description
Samba provides an SMB server which can be used to provide network
services to SMB (sometimes called "Lan Manager") clients, including
various versions of MS Windows, OS/2, and other Linux machines. Samba
uses NetBIOS over TCP/IP (NetBT) protocols and does NOT need NetBEUI
(Microsoft Raw NetBIOS frame) protocol.

Samba 3.0 contains the first Open Source/Free Software implementation of 
Windows NT Primary and Backup Domain Controller functionality. Customers
can transparently migrate their existing Windows NT domains to Samba 3.0
whilst keeping their existing user and group account databases. This
enables significant cost of ownership savings over a Windows NT4 domain
as a Samba 3.0 Domain Controller does not require client access licenses.
Existing Windows tools can be used to manage a Samba PDC, allowing
customer Windows expertise to be leveraged in a domain migration. A
choice of LDAP back-ends allows integration with an existing customer
directory service.

Samba 3.0 seamlessly integrates into a Microsoft Active Directory domain
in both native and mixed mode. Samba 3.0 provides single sign-on for
UNIX/Linux clients in an Active Directory environment, allowing both
servers and clients to transparently use Active Directory as an
authentication and account source. Domain trust relationships are fully
supported, allowing Samba 3.0 Controlled Domains to integrate easily
into any Active Directory environment.

%package client
Summary: Samba (SMB) client programs.
Group: Trustix Official
Requires: samba-common = %{version}
Obsoletes: smbfs

%description client
The samba-client package provides some SMB clients to complement the
built-in SMB filesystem in Linux. These clients allow access of SMB
shares and printing to SMB printers.

%package common
Summary: Files used by both Samba servers and clients.
Group: Trustix Official

%description common
Samba-common provides files necessary for both the server and client
packages of Samba.

%package mysql
Summary: Samba (SMB) MySQL password backend
Group: Trustix Official
Requires: samba = %{version}
Requires: mysql-libs

%description mysql
A dynamic module that lets youe store user accounts in a SQL backend.

%package devel
Summary: Include files and libraries needed for SMB client development.
Group: Trustix Official
Requires: samba = %{version}
Provides: libsmbclient.so
                                                                                                                             
%description devel
This package contains the development files for the SMB client
library, part of the samba suite of networking software, allowing
the development of other software to access SMB shares.

%prep
%setup -q -n samba-%{version}
#%patch1 -p0
#%patch2 -p1
#%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p0

%build
cd source
autoconf

# No show
#  --with-quotas \

CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=/usr \
  --localstatedir=/var \
  --with-configdir=/etc/samba \
  --with-privatedir=/etc/samba \
  --with-lockdir=/var/cache/samba \
  --with-piddir=/var/run \
  --with-fhs \
  --with-swatdir=/usr/share/swat \
  --mandir='${prefix}/share/man' \
  --with-smbmount \
  --with-automount \
  --with-pam \
  --with-pam_smbpass \
  --with-ads \
  --with-acl-support \
  --with-netatalk \
  --with-acl-support \
  --with-readline \
  --with-winbind \
  --with-ldapsam \
  --with-expsam=mysql \
  --enable-cups \
  --with-libsmbclient \
  --without-libmsrpc \
  %{_target_platform}

make CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -I/usr/include/openssl" all

tar jxvf %{SOURCE6} -C ../
cd ../pdbsql-0.1-%{name}_%{pdbsql_ver}
%configure --with-samba-dir=../source
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

cd source

mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/usr/{sbin,bin}
mkdir -p $RPM_BUILD_ROOT%{_initdir}
mkdir -p $RPM_BUILD_ROOT/etc/{pam.d,logrotate.d}
mkdir -p $RPM_BUILD_ROOT/var/{log,spool,cache}/samba
mkdir -p $RPM_BUILD_ROOT/usr/share/swat/using_samba
mkdir -p $RPM_BUILD_ROOT/usr/%{_lib}/samba
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d

make \
       BINDIR=$RPM_BUILD_ROOT%{_bindir} \
       BASEDIR=$RPM_BUILD_ROOT%{_prefix} \
       SBINDIR=$RPM_BUILD_ROOT%{_sbindir} \
       LOCKDIR=$RPM_BUILD_ROOT/var/cache/samba \
       PIDDIR=$RPM_BUILD_ROOT/var/run \
       PRIVATEDIR=$RPM_BUILD_ROOT/etc/samba \
       LIBDIR=$RPM_BUILD_ROOT/usr/%{_lib}/samba  \
       CONFIGDIR=$RPM_BUILD_ROOT/etc/samba \
       MANDIR=$RPM_BUILD_ROOT%{_mandir} \
       VARDIR=$RPM_BUILD_ROOT/var/log/samba \
       SWATDIR=$RPM_BUILD_ROOT/usr/share/swat \
       SAMBABOOK=$RPM_BUILD_ROOT/usr/share/swat/using_samba \
       install

cd - 

# Install other stuff
install -m644 %{SOURCE2} $RPM_BUILD_ROOT/etc/samba/smb.conf
install -m755 source/script/mksmbpasswd.sh $RPM_BUILD_ROOT/usr/bin
install -d -m 755 $RPM_BUILD_ROOT%{_includedir}
install -m644 source/include/libsmbclient.h $RPM_BUILD_ROOT%{_includedir}
install -m644 source/bin/libsmbclient.a $RPM_BUILD_ROOT%{_libdir}/%{name}
install -m644 packaging/RedHat-9/smbusers $RPM_BUILD_ROOT/etc/samba/smbusers
for i in smbpasswd smbpasswd.tdb; do
  touch $RPM_BUILD_ROOT/etc/samba/$i
  chmod 600 $RPM_BUILD_ROOT/etc/samba/$i
done
install -m755 packaging/RedHat-9/smbprint $RPM_BUILD_ROOT%{_bindir}
#install -m755 source/script/findsmb $RPM_BUILD_ROOT%{_bindir}
install -m755 %{SOURCE3} $RPM_BUILD_ROOT%{_initdir}/smb
install -m755 %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d/swat
install -m644 packaging/RedHat-9/samba.pamd $RPM_BUILD_ROOT/etc/pam.d/samba
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/etc/logrotate.d/samba
ln -s ../%{_bindir}/smbmount $RPM_BUILD_ROOT/sbin/mount.smb
ln -s ../%{_bindir}/smbmount $RPM_BUILD_ROOT/sbin/mount.smbfs
echo 127.0.0.1 localhost > $RPM_BUILD_ROOT/etc/samba/lmhosts
mkdir -p $RPM_BUILD_ROOT/home/samba/netlogon
mkdir -p $RPM_BUILD_ROOT/%{_lib}/security

# remove this or it ends up in %doc
rm -rf docs/htmldocs/using_samba

# Install some ghosts
touch $RPM_BUILD_ROOT/var/cache/samba/browse.dat
touch $RPM_BUILD_ROOT/var/cache/samba/wins.dat

touch $RPM_BUILD_ROOT/var/cache/samba/brlock.tdb
touch $RPM_BUILD_ROOT/var/cache/samba/connections.tdb
touch $RPM_BUILD_ROOT/var/cache/samba/locking.tdb
touch $RPM_BUILD_ROOT/var/cache/samba/messages.tdb
touch $RPM_BUILD_ROOT/var/cache/samba/ntdrivers.tdb
touch $RPM_BUILD_ROOT/var/cache/samba/ntforms.tdb
touch $RPM_BUILD_ROOT/var/cache/samba/ntprinters.tdb
touch $RPM_BUILD_ROOT/var/cache/samba/printing.tdb
touch $RPM_BUILD_ROOT/var/cache/samba/sessionid.tdb
touch $RPM_BUILD_ROOT/var/cache/samba/share_info.tdb
touch $RPM_BUILD_ROOT/var/cache/samba/unexpected.tdb
touch $RPM_BUILD_ROOT/var/cache/samba/winbindd_cache.tdb
touch $RPM_BUILD_ROOT/var/cache/samba/winbindd_idmap.tdb

# Install pam_smbpass.so 
mkdir -p $RPM_BUILD_ROOT/%{_lib}/security
install -m755 source/bin/pam_smbpass.so $RPM_BUILD_ROOT/%{_lib}/security/pam_smbpass.so

# Install the winbind init script
install -m755 %{SOURCE4} $RPM_BUILD_ROOT%{_initdir}/winbind
# Install the nsswitch library extenstion file
install -m755 source/nsswitch/libnss_winbind.so \
		$RPM_BUILD_ROOT/%{_lib}/
pushd $RPM_BUILD_ROOT/%{_lib}
  ln -s libnss_winbind.so libnss_winbind.so.2
popd

pushd $RPM_BUILD_ROOT/%{_libdir}
  ln -s samba/libsmbclient.so libsmbclient.so
  ln -s samba/libsmbclient.so libsmbclient.so.0
popd

# PAM Authentication file
install -m755 source/bin/pam_winbind.so \
		$RPM_BUILD_ROOT/%{_lib}/security/

install -m755 pdbsql-0.1-%{name}_%{pdbsql_ver}/mysql.so $RPM_BUILD_ROOT/%{_libdir}/samba/pdb/

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%pre
service smb stop 2>/dev/null >/dev/null || :
service winbind stop 2>/dev/null >/dev/null || :
# Ok, we may have a lot of *.tdb files we need to preserve
mkdir -p /var/cache/samba
pushd /var/run &> /dev/null
   if [ "`echo *.tdb`" != "*.tdb" ]; then
     for i in *.tdb; do
       if [ ! -f /var/cache/samba/$i ]; then
         mv $i /var/cache/samba/$i
       fi
     done
   fi
popd &> /dev/null

%post
# Make sure symlinks are there.
/sbin/chkconfig --add smb
/sbin/chkconfig --add winbind

# Restart services after upgrade.
/sbin/restart_maybe smb
/sbin/restart_maybe winbind

%preun
if [ $1 = 0 ]; then
	service smb stop 2>/dev/null >/dev/null || :
	service winbind stop 2>/dev/null >/dev/null || :
fi

%files
%defattr(-,root,root,0755)
%doc README COPYING Manifest Read-Manifest-Now
%doc docs
%doc examples
%attr(0755,root,root) %{_initdir}/smb
%attr(0755,root,root) %{_sysconfdir}/xinetd.d/swat
%attr(0755,root,root) %{_initdir}/winbind
%config(noreplace) /etc/logrotate.d/samba
%config(noreplace) /etc/pam.d/samba
%config(noreplace) /etc/samba/smbusers
%attr(0600,root,root) %config(noreplace) %verify(not mtime size md5) /etc/samba/smbpasswd
%attr(0600,root,root) %config(noreplace) %verify(not mtime size md5) /etc/samba/smbpasswd.tdb
%dir /etc/samba
%dir /usr/%{_lib}/samba
/%{_lib}/libnss_winbind.so
/%{_lib}/libnss_winbind.so.2
/%{_lib}/security/pam_winbind.so
/%{_lib}/security/pam_smbpass.so
/usr/bin/mksmbpasswd.sh
/usr/bin/net
/usr/bin/pdbedit
/usr/bin/profiles
/usr/bin/smbcontrol
/usr/bin/smbcquotas
/usr/bin/smbpasswd
/usr/bin/smbspool
/usr/bin/smbstatus
/usr/bin/tdbbackup
/usr/bin/tdbdump
/usr/bin/wbinfo
/usr/%{_lib}/samba/*.dat
/usr/%{_lib}/samba/*.msg
/usr/%{_lib}/samba/auth
/usr/%{_lib}/samba/charset
/usr/%{_lib}/samba/idmap
%dir /usr/%{_lib}/samba/pdb
/usr/%{_lib}/samba/rpc
/usr/%{_lib}/samba/vfs
/usr/sbin/nmbd
/usr/sbin/smbd
/usr/sbin/swat
/usr/sbin/winbindd
/usr/bin/eventlogadm
/usr/share/swat
%{_mandir}/man1/profiles.1*
%{_mandir}/man1/smbcontrol.1*
%{_mandir}/man1/smbcquotas.1*
%{_mandir}/man1/smbstatus.1*
%{_mandir}/man1/wbinfo.1*
%{_mandir}/man5/smbpasswd.5*
%{_mandir}/man8/net.8*
%{_mandir}/man8/nmbd.8*
%{_mandir}/man8/pdbedit.8*
%{_mandir}/man8/smbd.8*
%{_mandir}/man8/smbpasswd.8*
%{_mandir}/man8/smbspool.8*
%{_mandir}/man8/swat.8*
%{_mandir}/man8/tdbbackup.8.gz
%{_mandir}/man8/tdbdump.8.gz
%{_mandir}/man8/winbindd.8*

%dir /home/samba
%dir /home/samba/netlogon
%attr(0700,root,root)   %dir /var/log/samba
%attr(0755,root,root)   %dir /var/cache/samba
%attr(1777,root,root)	%dir /var/spool/samba

%config(noreplace) /var/cache/samba/brlock.tdb
%config(noreplace) /var/cache/samba/browse.dat
%config(noreplace) /var/cache/samba/connections.tdb
%config(noreplace) /var/cache/samba/locking.tdb
%config(noreplace) /var/cache/samba/messages.tdb
%config(noreplace) /var/cache/samba/ntdrivers.tdb
%config(noreplace) /var/cache/samba/ntforms.tdb
%config(noreplace) /var/cache/samba/ntprinters.tdb
%config(noreplace) /var/cache/samba/printing.tdb
%config(noreplace) /var/cache/samba/sessionid.tdb
%config(noreplace) /var/cache/samba/share_info.tdb
%config(noreplace) /var/cache/samba/unexpected.tdb
%config(noreplace) /var/cache/samba/winbindd_cache.tdb
%config(noreplace) /var/cache/samba/winbindd_idmap.tdb
%config(noreplace) /var/cache/samba/wins.dat

%files client
%defattr(-,root,root,0755)
/sbin/mount.smb
/sbin/mount.smbfs
/usr/bin/findsmb
/usr/bin/nmblookup
/usr/bin/ntlm_auth
/usr/bin/rpcclient
/usr/bin/smbcacls
/usr/bin/smbclient
/usr/bin/smbmnt
/usr/bin/smbmount
/usr/bin/smbprint
/usr/bin/smbtar
/usr/bin/smbtree
/usr/bin/smbumount
/usr/bin/tdbtool
/usr/bin/smbget
%{_mandir}/man1/findsmb.1*
%{_mandir}/man1/smbget.1*
%{_mandir}/man1/nmblookup.1*
%{_mandir}/man1/ntlm_auth.1*
%{_mandir}/man1/rpcclient.1*
%{_mandir}/man1/smbcacls.1*
%{_mandir}/man1/smbclient.1*
%{_mandir}/man1/smbtar.1*
%{_mandir}/man1/smbtree.1*
%{_mandir}/man8/mount.cifs.8*
%{_mandir}/man8/umount.cifs.8*
%{_mandir}/man8/smbmnt.8*
%{_mandir}/man8/smbmount.8*
%{_mandir}/man8/smbumount.8*

%files common
%defattr(-,root,root,0755)
%config(noreplace) /etc/samba/lmhosts
%config(noreplace) /etc/samba/smb.conf
/usr/bin/testparm
%{_mandir}/man7/pam_winbind.7*
%{_mandir}/man1/testparm.1*
%{_mandir}/man5/smb.conf.5*
%{_mandir}/man5/lmhosts.5*
%{_mandir}/man7/samba.7*

%files mysql
/usr/%{_lib}/samba/pdb/mysql.so

%files devel
%defattr(-,root,root,0755)
%{_libdir}/samba/libsmbclient.*
%{_libdir}/libsmbclient.*
%{_includedir}/libsmbclient.h

%changelog
* Tue Sep 18 2007 Nived Gopalan <nived at trustix dot org> 3.0.24-3tr
- Updated winbind initscript, Bug #2314.

* Tue May 15 2007 Bipin S <bipin at trustix dot org> 3.0.24-2tr
- SECURITY Fix: Logic error in the SID/Name translation functionality
  in smbd allows local users to gain temporary privileges and execute
  SMB/CIFS protocol operations via unspecified vectors that cause the
  daemon to transition to the root user.
- Multiple heap-based buffer overflows in the NDR parsing in smbd allow
  remote attackers to execute arbitrary code via crafted MS-RPC requests.
- The MS-RPC functionality in smbd allows remote attackers to execute
  arbitrary commands via shell metacharacters involving the
  (1) SamrChangePassword function, when the "username map script" smb.conf
  option is enabled, and allows remote authenticated users to execute
  commands via shell metacharacters involving other MS-RPC functions in
  the (2) remote printer and (3) file share management.
                                                                                                                             
  The Common Vulnerabilities and Exposures project (cve.mitre.org)
  has assigned the names CVE-2007-2444, CVE-2007-2446 and CVE-2007-2447
  to these issue.

* Tue Feb 06 2007 Bipin S <bipin at trustix dot org> 3.0.24-1tr
- New upstream.
- Rebuit with postgresql 8.2.1.
- SECURITY Fix: smbd allows remote authenticated users to cause a
  denial of service (memory and CPU exhaustion) by renaming a file
  in a way that prevents a request from being removed from the
  deferred open queue, which triggers an infinite loop.
- Buffer overflow in the nss_winbind.so.1 library, as used in the
  winbindd daemon, allows attackers to execute arbitrary code via
  the (1) gethostbyname and (2) getipnodebyname functions.
- Format string vulnerability in the afsacl.so VFS module allows
  context-dependent attackers to execute arbitrary code via format
  string specifiers in a filename on an AFS file system, which is not
  properly handled during Windows ACL mapping.
                                                                                                                             
  The Common Vulnerabilities and Exposures project (cve.mitre.org)
  has assigned the names CVE-2007-0452, CVE-2007-0453 and CVE-2007-0454
  to these issue.

* Mon Nov 27 2006 Bipin S <bipin at trustix dot org> 3.0.23d-1tr
- New upstream.
- nmbd stops properly, Fixed Bug #2052.

* Tue Jul 11 2006 Nived Gopalan <nived at trustix dot org> 3.0.22-2tr
- SECURITY Fix: A vulnerability has been reported in Samba, caused due
  to an error when handling a lot of share connection requests. This
  can be exploited to cause smbd to exhaust memory resources via a 
  large number of share connections.

  The Common Vulnerabilities and Exposures project (cve.mitre.org)
  has assigned the name CVE-2006-3403 to this issue.

* Fri Mar 31 2006 Bipin S <bipin at trustix dot org> 3.0.22-1tr
- New Upstream
- SECURITY Fix: The winbindd daemon included in previous Samba 
  version writes the clear text of server's machine credentials 
  to its log file at level 5. The winbindd log files are world
  readable by default and often log files are requested on open
  mailing lists as tools used to debug server misconfigurations.
  This affects servers configured to use domain or ads security
  and possibly Samba domain controllers as well (if configured
  to use winbindd).
                                                                                                                             
  The Common Vulnerabilities and Exposures project (cve.mitre.org)
  has assigned the name CVE-2006-1059 to this issue.

* Mon Feb 27 2006 Bipin S <bipin at trustix dot org> 3.0.21c-1tr
- New Upstream
- Multiple Bug Fixes.

* Wed Feb 01 2006 Bipin S <bipin at trustix dot org> 3.0.21b-1tr
- New Upstream
- Fixes server crashes in smbd
- Minor changes in spec.

* Thu Jan 19 2006 Ajith Thampi <ajith at trustix dot org> 3.0.21a-1tr
- New Upstream
- Multiple Bug Fixes.
		
* Wed Nov 09 2005 Bipin S <bipin at comodo dot com> 3.0.14a-5tr
- Devel package created.

* Mon Jul 18 2005 Hasher Jamaludeen <hasher at comodo dot com> 3.0.14a-4tr
- Minor cleanups in the  init script,with reference to  Bug #1090.

* Mon Jul 11 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 3.0.14a-3tr
- Added swat.init to /etc/xinetd.d, Ref Bug #1059.

* Thu May 26 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 3.0.14a-2tr
- Installed pam_smbpass.so to RPM_BUILD_ROOT and bundled with samba.
  (Fix Bug #753)
 
* Mon Apr 18 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 3.0.14a-1tr
- New Upstream

* Tue Mar 29 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 3.0.13-1tr
- New Upstream

* Mon Mar  7 2005 Erlend Midttun <erlendbm at trustix dot org> 3.0.11-3tr
- Work around %preun bug.

* Thu Mar  3 2005 Erlend Midttun <erlendbm at trustix dot org> 3.0.11-2tr
- Now stop only on uninstalling.  Take II.  Bug #88.
- Fix start/stop/restart/status in init script.

* Tue Feb 22 2005 Erlend Midttun <erlendbm at trustix dot org> 3.0.11-1tr
- New upstream.

* Fri Dec 17 2004 Erlend Midttun <erlendbm at trustix dot org> 3.0.10-2tr
- New upstream fixes CAN-2004-1154.

* Wed Nov 24 2004 Erlend Midttun <erlendbm at trustix dot org> 3.0.9-1tr
- New upstream.
- Now stop if uninstalling.

* Wed Nov 10 2004 Oystein Viggen <oysteivi at trustix dot com> 3.0.7-2tr
- New upstream.  Fixes CAN-2004-0930

* Mon Sep 13 2004 Erlend Midttun <erlendbm at trustix dot org> 3.0.7-1tr
- New upstream.  Fixes CAN-2004-0807 and CAN-2004-0808

* Tue Aug 24 2004 Oystein Viggen <oysteivi at trustix dot com> 3.0.6-1tr
- New upstream
- filename.patch applied upstream

* Mon Jul 26 2004 Oystein Viggen <oysteivi at trustix dot com> 3.0.5-1tr
- New upstream

* Wed May 19 2004 Erlend Midttun <erlendbm at trustix dot org> 3.0.4-2tr
- Added patch against filename.c

* Tue May 11 2004 Erlend Midttun <erlendbm at trustix dot org> 3.0.4-1tr
- New upstream which adresses a problem with change of user passwords
  after MS updaates.
- Fixed localstatedir to /var.  Now logging may work.

* Mon Mar 15 2004 Chr. Toldnes <christht at trustix dot org> 3.0.2a-6tr
- Added missing Requires on glibc-locales

* Wed Feb 18 2004 Omar Kilani <ok at trustix dot org> 3.0.2a-1ok
- New upstream.

* Tue Feb 10 2004 Tor Hveem <torh at trustix dot org> 3.0.2-1th
- Fixed som reqs.

* Tue Feb 10 2004 Chr. Toldnes <christht at trustix dot org> 3.0.2-1tr
- New upstream.
- Rebuilt agains MIT kerb5

* Thu Dec 18 2003 Erlend Midttun <erlendbm at trustix dot org> 3.0.1-1tr
- New upstream.

* Mon Dec  8 2003 Erlend Midttun <erlendbm at trustix dot org> 3.0.0-9tr
- Rebuilt with new config.

* Thu Nov 20 2003 Tor Hveem <torh at trustix dot org> 3.0.0-8th
- Rebuild against new heimdal

* Sun Oct 19 2003 Tor Hveem <torh at tawie dot org> 3.0.0-7th
- Included AD support, requires kerberos (heimdal)

* Wed Oct 15 2003 Tor Hveem <torh at tawie dot org> 3.0.0-6th
- Added missing BuildReq glibc-locales

* Tue Oct 14 2003 Tor Hveem <torh at tawie dot org> 3.0.0-5th
- Fixed bogus Req

* Wed Oct  8 2003 Tor Hveem <torh at tawie dot org> 3.0.0-4th
- Included syslog support
- New package mysql
- Removed old compability upgrade

* Wed Oct  8 2003 Tor Hveem <torh at tawie dot org> 3.0.0-3th
- Added missing configuration file
- New %description

* Tue Oct  7 2003 Tor Hveem <torh at tawie dot org> 3.0.0-2th
- Added BuildReqs and PreReqs
- Enable acl
- Support for mysql pdb (shared module)
- Included missing binaries

* Mon Oct  6 2003 Gerald Dachs <gda at tawie dot org> 3.0.0-1gd
- new upstream release
- changed libdir to /usr/lib/samba
- removed separate instructions for recycle bin, is now standard
- cleaned up configure switches

* Sun Sep 28 2003 Chr. Toldnes <christht at tawie dot org> 2.2.8-11tsl
- port to tawie

* Wed Sep  3 2003 Chr. Toldnes <christht at trustix dot com> 2.2.8-10tr
- Added --with-winbind-auth-challenge option on request

* Wed Jul  2 2003 Erlend Midttun <erlendbm at trustix dot com> 2.2.8-9tr
- Home directories again.

* Wed Jun 25 2003 Erlend Midttun <erlendbm at trustix dot com> 2.2.8-8tr
- Restricted home directories
- Added sample public_html section.

* Tue Jun 24 2003 Gerald Dachs <gda at trustix dot org> 2.2.8-7tr
- enabled --with-vfs, allows to use a recycle bin
- added recycle.so

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 2.2.8-6tr
- Big rebuild

* Mon May 26 2003 Erlend Midttun <erlendbm at trustix dot com> 2.2.8-5em
- fileutils -> coreutils.

* Thu Apr 10 2003 Gerald Dachs <gda at trustix dot org> 2.2.8-4gd
- forced cups support

* Tue Apr  8 2003 Erlend Midttun <erlendbm at trustix dot com> 2.2.8-3em
- Added 2.2.8a patch that fixes the buffer overflow discovered by
  Defense Digital.

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 2.2.8-2em
- Rebuilt against glibc 2.3.2.

* Wed Mar 19 2003 Erlend Midttun <erlendbm at trustix dot com> 2.2.8-1em
- Upgrade to 2.2.8 to fix security bugs.
- Add check to pre and post.

* Sat Jan 18 2003 Gerald Dachs <gda at trustix dot org> 2.2.7-3gd
- recompiled against openssl 0.9.7-1gd

* Fri Jan 17 2003 Christian H. Toldnes <christht at trustix dot com> 2.2.7-2ct
- We now use /mnt/lockdev as default INITLOCK

* Mon Dec  2 2002 Christian H. Toldnes <christht at trustix dot com> 2.2.7-1ct
- new upstream version: 2.2.7
- Fixed typo in smb.init (RETAVL)
- winbind.init and smb.init now uses $INITLOCK
- Removed some initscript patches.
- exit 1 if no initscript functions file is found.
- The initscripts are not config files. No %config(noreplace)

* Tue Nov 19 2002 Gerald Dachs <gda at trustix dot org> 2.2.6-4gd
- Replaced /etc/init.d against the define initdir
- Changed the invocation of functions in smb.init accordingly to winbind.init

* Thu Nov 14 2002 Christian H. Toldnes <christht at trustix dot com> 2.2.6-3tr
- Fixed wrong chkconfig line in winbind initscript.
- Initscripts now in separate sources.

* Fri Nov  8 2002 Erlend Midttun <erlendbm at trustix dot com> 2.2.6-2tr
- New upstrem version 2.2.6.

* Fri Nov  8 2002 Erlend Midttun <erlendbm at trustix dot com> 2.2.6-1tr
- Bug.  Don't use.

* Thu Oct  4 2002 Christian H. Toldnes <christht at trustix dot com> 2.2.5-4ct
- Moved smb and winbind initscript to correct location for TSL 2.0
- Patched smb initscript (Patch 8)

* Tue Aug 13 2002 Erlend Midttun <erlendbm at trustix dot com> 2.2.5-3tr
- Now even create /var/cache/samba with correct permissions to make
  browsing work.

* Fri Jul 12 2002 Christian H. Toldnes <christht at trustix dot com> 2.2.5-2tr
- Removed ugly stuff frpm %post and %postun that messed with inetd.conf

* Thu Jun 24 2002 Erlend Midttun <erlendbm at trustix dot com> 2.2.5-1tr
- New upstrem version 2.2.5.

* Thu Jun  6 2002 Erlend Midttun <erlendbm at trustix dot com>
- Now even create /var/cache/samba in advance.

* Tue May  7 2002 Erlend Midttun <erlendbm at trustix dot com>
- Picked up 2.2.4 and added more winbind stuff.

* Fri Mar  1 2002 Christian H. Toldnes <christht at trustix dot com>
- Now we actually check if /etc/inetd.conf exist before messing with it...

* Fri Feb  8 2002 Christian H. Toldnes <christht at trustix dot com>
- removed restart_maybe inet

* Fri Feb  8 2002 Christian H. Toldnes <christht at trustix dot com>
- New upstream version: 2.2.3a
- Added config(noreplace) for db-files.

* Wed Jan  9 2002 Christian H. Toldnes <christht at trustix dot com>
- More work on the winbind feature.
- included winbind init-script and correct chkconfig handling.

* Tue Jan  8 2002 Erlend Midttun <erlendbm at trustix dot com>
- Second attempt at getting winbindd in.

* Wed Jan  2 2002 Christian H. Toldnes <christht at trustix dot com>
- New upstream version.
- Fix pidfile location bug.
- Minor spec-file rewrite.

* Fri Jul 23 2001 Erlend Midttun <erlendbm at trustix dot com>
- Fix overwriting of config files.

* Fri Jul 13 2001 Erlend Midttun <erlendbm at trustix dot com>
- New upstream version.

* Wed Jun 27 2001 Erlend Midttun <erlendbm at trustix dot com>
- Updated to 2.2.0a to fix security hole.  Hole not exploitable by default
  configuration, but none the less.

* Fri Jun 22 2001 Erlend Midttun <erlendbm at trustix dot com>
- Fix a small bug in the %pre section.
- Fixed typo now allowing for netatalk.
- Added SSL support.

* Thu Jun  7 2001 Erlend Midttun <erlendbm at trustix dot com>
- New upstream version.

* Wed Apr 18 2001 Erlend Midttun <erlendbm at trustix dot com>
- Updated to 2.0.8 to fix mktemp() local security hole.

* Tue Nov 28 2000 Erlend Midttun <erlendbm at trustix dot com>
- Cleanup.

* Tue May 2 2000 Per Ivar Paulsen <perp at trustix dot com>
- update to 2.0.7

* Mon Feb 11 2000 Per Ivar Paulsen <perp at trustix dot com>
- Initial release for the Trustix Secure Linux distribution.
- Added noreplace.
- Moved man and info pages to /usr/share adhering to FHS

* Fri Feb  4 2000 Bill Nottingham <notting@redhat.com>
- turn on quota support

* Mon Jan 31 2000 Cristian Gafton <gafton@redhat.com>
- rebuild to fox dependencies
- man pages are compressed

* Fri Jan 21 2000 Bill Nottingham <notting@redhat.com>
- munge post scripts slightly

* Wed Jan 19 2000 Bill Nottingham <notting@redhat.com>
- turn on mmap again. Wheee.
- ship smbmount on alpha

* Mon Dec  6 1999 Bill Nottingham <notting@redhat.com>
- turn off mmap. ;)

* Wed Dec  1 1999 Bill Nottingham <notting@redhat.com>
- change /var/log/samba to 0700
- turn on mmap support

* Thu Nov 11 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.6

* Fri Oct 29 1999 Bill Nottingham <notting@redhat.com>
- add a %defattr for -common

* Tue Oct  5 1999 Bill Nottingham <notting@redhat.com>
- shift some files into -client
- remove /home/samba from package.

* Tue Sep 28 1999 Bill Nottingham <notting@redhat.com>
- initscript oopsie. killproc <name> -HUP, not other way around.

* Sat Sep 26 1999 Bill Nottingham <notting@redhat.com>
- script cleanups. Again.

* Wed Sep 22 1999 Bill Nottingham <notting@redhat.com>
- add a patch to fix dropped reconnection attempts

* Mon Sep  6 1999 Jeff Johnson <jbj@redhat.com>
- use cp rather than mv to preserve /etc/services perms (#4938 et al).
- use mktemp to generate /etc/tmp.XXXXXX file name.
- add prereqs on sed/mktemp/killall (need to move killall to /bin).
- fix trigger syntax (i.e. "samba < 1.9.18p7" not "samba < samba-1.9.18p7")

* Mon Aug 30 1999 Bill Nottingham <notting@redhat.com>
- sed "s|nawk|gawk|" /usr/bin/convert_smbpasswd

* Sat Aug 21 1999 Bill Nottingham <notting@redhat.com>
- fix typo in mount.smb

* Fri Aug 20 1999 Bill Nottingham <notting@redhat.com>
- add a %trigger to work around (sort of) broken scripts in
  previous releases

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging

* Mon Aug  9 1999 Bill Nottingham <notting@redhat.com>
- add domain parsing to mount.smb

* Fri Aug  6 1999 Bill Nottingham <notting@redhat.com>
- add a -common package, shuffle files around.

* Fri Jul 23 1999 Bill Nottingham <notting@redhat.com>
- add a chmod in %postun so /etc/services & inetd.conf don't become unreadable

* Wed Jul 21 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.5
- fix mount.smb - smbmount options changed again.........
- fix postun. oops.
- update some stuff from the samba team's spec file.

* Fri Jun 18 1999 Bill Nottingham <notting@redhat.com>
- split off clients into separate package
- don't run samba by default

* Mon Jun 14 1999 Bill Nottingham <notting@redhat.com>
- fix one problem with mount.smb script
- fix smbpasswd on sparc with a really ugly kludge

* Thu Jun 10 1999 Dale Lovelace <dale@redhat.com>
- fixed logrotate script

* Tue May 25 1999 Bill Nottingham <notting@redhat.com>
- turn of 64-bit locking on 32-bit platforms

* Thu May 20 1999 Bill Nottingham <notting@redhat.com>
- so many releases, so little time
- explicitly uncomment 'printing = bsd' in sample config

* Tue May 18 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.4a
- fix mount.smb arg ordering

* Fri Apr 16 1999 Bill Nottingham <notting@redhat.com>
- go back to stop/start for restart (-HUP didn't work in testing)

* Fri Mar 26 1999 Bill Nottingham <notting@redhat.com>
- add a mount.smb to make smb mounting a little easier.
- smb filesystems apparently don't work on alpha. Oops.

* Thu Mar 25 1999 Bill Nottingham <notting@redhat.com>
- always create codepages

* Tue Mar 23 1999 Bill Nottingham <notting@redhat.com>
- logrotate changes

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Fri Mar 19 1999 Preston Brown <pbrown@redhat.com>
- updated init script to use graceful restart (not stop/start)

* Tue Mar  9 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.3

* Thu Feb 18 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.2

* Mon Feb 15 1999 Bill Nottingham <notting@redhat.com>
- swat swat

* Tue Feb  9 1999 Bill Nottingham <notting@redhat.com>
- fix bash2 breakage in post script

* Fri Feb  5 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.0

* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- make sure all binaries are stripped

* Thu Sep 17 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.9.18p10.
- fix %triggerpostun.

* Tue Jul 07 1998 Erik Troan <ewt@redhat.com>
- updated postun triggerscript to check $0
- clear /etc/codepages from %preun instead of %postun

* Mon Jun 08 1998 Erik Troan <ewt@redhat.com>
- made the %postun script a tad less agressive; no reason to remove
  the logs or lock file (after all, if the lock file is still there,
  samba is still running)
- the %postun and %preun should only exectute if this is the final
  removal
- migrated %triggerpostun from Red Hat's samba package to work around
  packaging problems in some Red Hat samba releases

* Sun Apr 26 1998 John H Terpstra <jht@samba.anu.edu.au>
- minor tidy up in preparation for release of 1.9.18p5
- added findsmb utility from SGI package

* Wed Mar 18 1998 John H Terpstra <jht@samba.anu.edu.au>
- Updated version and codepage info.
- Release to test name resolve order

* Sat Jan 24 1998 John H Terpstra <jht@samba.anu.edu.au>
- Many optimisations (some suggested by Manoj Kasichainula <manojk@io.com>
- Use of chkconfig in place of individual symlinks to /etc/rc.d/init/smb
- Compounded make line
- Updated smb.init restart mechanism
- Use compound mkdir -p line instead of individual calls to mkdir
- Fixed smb.conf file path for log files
- Fixed smb.conf file path for incoming smb print spool directory
- Added a number of options to smb.conf file
- Added smbadduser command (missed from all previous RPMs) - Doooh!
- Added smbuser file and smb.conf file updates for username map

